ilch Forum » Allgemein » Plauder Ecke » Bin wieder da mit Fragen^^

Geschlossen
  1. #1
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    Hallo liebe Ilch-Community, lang ist es her als ich das letzte mal hier aktiv war und vorbei geschaut habe.
    Mittlerweile gibt es ja schon Ilch CMS 2.0 ( Glückwunsch und Super Arbeit an alle die daran mit gearbeitet haben und noch daran arbeiten.)

    Ich würde gerne ab nächsten Monat wieder ein neues Projekt anfangen wollen und die Webseite würde ich sehr gerne wieder mit Ilch aufbauen und verwenden.
    Nur habe ich jetzt bei einen Freehoster ( ja nicht die beste Option ich weiß^^ ) versucht das Ilch CMS 2.0 zum laufen / installieren zu bringen leider ohne Erfolg.
    Durch etwas stöbern durch das Forum hier habe ich einige Seiten gefunden und die auf Ilch CMS 2.0 laufen.
    Mich persöhnlich sprechen die Designs aktuell weniger an und wollte deswegen Fragen ob man auch noch die Ilch 1.1 P Version verwenden kann ohne bedenken und ob diese noch supportet wird im Sinne von Sicherheitsupdates?

    Oder ist das verwenden von Ilch 2.0 nun ein muss?

    Gruß SoX
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    164
    Beitragswertungen
    21 Beitragspunkte
    Hi, schön das du wieder Interesse zeigst zwinker
    Ilch1 wird zwar noch angeboten und zum teil noch Supportet (Forum) aber ist quasi auf dem Abstellgleis.
    An was scheitert es den das du Ilch2 nicht installieren kannst?
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    ZitatZitat geschrieben von hhunderter
    Hi, schön das du wieder Interesse zeigst zwinker
    Ilch1 wird zwar noch angeboten und zum teil noch Supportet (Forum) aber ist quasi auf dem Abstellgleis.
    An was scheitert es den das du Ilch2 nicht installieren kannst?


    Danke lachen

    Also ich habe nun bei dem Freehoster die PHP Version erhöht auf 7.X und nun kann ich es anscheinend installieren.

    rrk.bplaced.net

    Meine Fehlermeldung war: "ilch cms 2.* needs at least the php openssl extension to try an install."

    Kann aktuell mit meiner Bambusleitung dauern mit dem Upload, bin aber gute Dinge wenn ich jetzt schon den Installtionstext sehe das ich nun weiter komme, aber bitte Thema noch nicht schließen würde bei weiteren Fragen / Problemen hier weiter antworten.

    Ps. Der Link bzw. Verknüpfung um das Thema auf die Merkliste zu setzten geht bei mir nicht verwende Firefox (neuste version).

    1. Fehler gefunden bei der Install.



    Ok bin den fehler umgegangen in dem ich einfach die systemcheck datei gelöscht habe oben im adressfeld meines browsers "database/datenbank" statt systemcheck eingegeben habe und konnte so mit Ilch 2 Installieren wenn auch nicht wie es eig. gedacht war.

    Wie behebe ich den Fehler der auf dem Bild ist? Ich kann jetzt mit meinen umgehen der systemcheck file nun nicht das Admin Panel verwenden bekomme eine lange error message.


    Zuletzt modifiziert von SoX am 14.10.2020 - 12:55:15
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    blackcoder Hall Of Fame
    Registriert seit
    22.05.2014
    Beitrge
    1.860
    Beitragswertungen
    285 Beitragspunkte
    Ilch 2 braucht wirklich cURL um Informationen von den Updateserver abzufragen (Updates, Layouts, Module).
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    164
    Beitragswertungen
    21 Beitragspunkte
    vlt mal den Hoster anschreiben und fragen ob er cURL freischaltet
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    ok vielen dank werd ich mal versuchen.
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    Diese Option wird bei bplaced laut dem Support nicht für Kunden freigeschaltet die nur die Free-Webspace Variante verwenden.

    Also habe ich aktuell keine Möglichkeit das Ilch V2 zu testen.

    Trotzdem hätte ich dann noch einige Fragen.

    1. Wenn der Updateserver down ist, funktioniert dann noch die eigene Webseite ohne Probleme?

    2. Warum hat keine Ilch V2 Webseite die ich mir angeschaut habe ( waren um die 10 stück von Clans/Communitys) das Linke und Rechte BoxenMenü nicht größer gemacht?
    Ist es einfach nicht möglich oder liegt es einfach daran das die Webmaster von den Webseiten es einfach nicht getan haben?

    3. Wie viel Aufwand ist es ein Design von einer alten Version z.B 1.1P für die V2 zu optimieren?

    4. Eine Module-Download Sektion habe ich hier auf ilch.de nicht gefunden entweder ich bin blind oder es gibt aktuell noch keine Module?


    5. Wenn ich mich doch dazu enschließen sollte die Version 1.1P zu verwenden, kann ich diese dann auch ohne Probleme mit PHP 7.0.X verwenden?
    Habe irgendwo heute gelesen das nächstes Jahr 2021 die 7.1 PHP raus kommen soll.
    In wie weit das dann wieder Probleme geben könnte weiß ich nicht so sehr steck ich in der Materie nicht drin.
    Die Basics wie man was installiert kleine Änderungen vornimmt das ist für mich kein Problem.
    Aber z.B ein komplettes Modul zu schreiben und zu Designen da müsste ich mir dann eine oder einen Spezialisten suchen ^^.

    Und meine letzte Frage ist.

    6. Warum eigentlich eine komplett neue Version statt die alte Version 1.1P zu optimieren?
    ( Wäre nett wenn mir das jemand in kurzform erklären könnte.)

    Gruß SoX


    Zuletzt modifiziert von SoX am 15.10.2020 - 16:29:41
    0 Mitglieder finden den Beitrag gut.
  8. #8
    User Pic
    Baujahr73 Mitglied
    Registriert seit
    05.09.2013
    Beitrge
    323
    Beitragswertungen
    34 Beitragspunkte
    Hallo SoX,

    1. Du musst die Updates nicht machen, es ist aber zu Empfehlen, es wird immer noch hier und da etwas verbessert, und auch Sicherheit Updates sollten nicht ausser Acht gelassen werden.

    2. Man kann alles anpassen wie man es gerne möchte, es liegt halt immer im Auge des Betrachters.

    3. Es ist jedenfalls möglich, hier kann dich Slipi unterstützen.

    4. Es gibt noch keine Module aus der Community, aber Ilch 2 bringt schon eine Vielzahl an Modulen mit.

    5. Hier gibt es im Forum einen Thread im dem das schon von jemandem angefangen wurde, finde den Keks aber gerade nicht wieder.

    6. Der Trend in HTML und CSS geht halt jetzt mehr ins Responsive Design, und auch die Nutzung mit Mobilen Geräten wird halt immer mehr. Ich denke das Ilch einfach mit der Zeit geht.

    Gruß Stefan
    www.lastfighters.de
    1 Mitglieder finden den Beitrag gut.
  9. #9
    User Pic
    Slipi ilch.de Design
    Registriert seit
    19.01.2018
    Beitrge
    714
    Beitragswertungen
    77 Beitragspunkte
    Hallo

    Ich räume das Pferd mal von hinten auf.

    1. Ja, die Seite funktioniert weiterhin einwandfrei auch wenn der Updateserver down ist. Sollte ea mal vorkommen das der Updateserver down wäre, wird dies im Admincenter angezeit und hat keinen einfluss auf das System (meines Wissen).

    2.Man kann die Linke sowie die Rechte Sidebar verändern. Das Standard Layourt wurde auf Basis von Boostrap entwickelt getbootstrap.com/ . Mit Bootstrap kann man unter anderem Responsive Layouts erstellen.
    Aber zurück zur frage.... Viele User verwenden das Standard layout und bearbeiten nur die style.css um ein Individuelles Layout zu haben, um die Breite der Sidebar zu ändern bedarf es Gruntkentnise von html/css und bootstrap jedoch wird dir hier im Forum geholfen.

    3. Die Layouts für ilch1.1 sind meistens reine Grafiken "Feste Breite und höhe" und somit nicht Responsiv, aber man kann mit css das Ilch1.1 Layout zu 90% nachbauen.

    4. Es gibt Unsignierte Module github.com/IlchCMS/Ilch-2.0/wiki/Doku-Entwickler-Unsignierte-Module zb. Socialbar, Radio Hörer Charts, Spieleliste, Tickets... diese Module findet man im Admincenter unter "Module/Suche".

    5. Der Support von Ilch1.1 und ilch1.1P wurde von uns eingestellt, dies bedeutet das es nicht für höhere php versionen geeignet ist. Jedoch haben einige User diverse Module und Systeme zum laufen gebracht jedoch gibt es keine 100% Sicherheit.

    6.WIe schon Baujahr geschrieben hat, Ilch musste mit der Zeit gehen.

    Weiter fragen? einfach fragen und bei Hilfe wird geholfen.

    Slipi
    Grafiken | Layouts | OnePage
    www.sd-sdesign.at
    1 Mitglieder finden den Beitrag gut.
  10. #10
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    Vielen Dank für die ausführlichen Antworten, dann werde ich mein nächstes Projekt mit Ilch Version 2.X starten.

    Falls jemand per Zufall einen Webspace Hoster (Free) kennt der alle benötigen PHP Funktionen die Ilch Version 2.X benötigt, kennen sollte wäre ich über den Link sehr dankbar.

    Edit: Beim Hoster: byethost15.com kann man ohne Probleme ilch 2 installieren ( alles ist standart freigeschalet. )

    Ich hatte eine Fehlermeldung erhalten mit systemcheck line 24 bis ich dann gesehen habe das ich nicht die aktuellste version habe und mir die aktuellste erstmal über GitHub statt hier im Downloadbereich downloaden muss, eventuell auch hier immer für andere die neuste Version anbieten wäre spitze.


    Zuletzt modifiziert von SoX am 16.10.2020 - 02:08:32


    Habe jetzt eine Fehlermeldung bei der Installtion gehabt bei der Auswahl Private Seite oder Clanseite, eventuell ist mir ein Fehler unterlaufen würde das heute später mal in Angriff nehmen und schauen ob mir nicht beim installieren irgendwo ein Fehler unterlaufen ist.


    Zuletzt modifiziert von SoX am 16.10.2020 - 02:34:38
    0 Mitglieder finden den Beitrag gut.
  11. #11
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    164
    Beitragswertungen
    21 Beitragspunkte
    Hi, den Hoster "byethost15.com" kenne ich jetzt nicht und kann die Seite auch nicht öffnen, was ich gestern selbst ausgetestet habe ist der Hoster "lima-city.de" der Funktioniert so wie ich gesehen habe bis jetzt recht gut.

    Hier im Download Bereich gebe ich recht da wurde lange nicht uptodate gehalten, gebe ich mal weiter zwinker

    Die Fehlermeldung beim installieren konnte ich bis jetzt noch nicht nachstellen wenn du da was entdeckst immer her damit zwinker ^^
    1 Mitglieder finden den Beitrag gut.
  12. #12
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    Entschuldigung war mein Fehler mit der Verlinkung zu dem Hoster: byet.host/free-hosting

    Das wäre die Offiziele Webseite.

    Bei Lima-City war ich auch gestern auf der Seite habe aber nichts mit ein Free Webspace gefunden ( war aber auch schon müde vllt habe ich es einfach übersehen. )

    Ich werde jetzt es nochmal versuchen zu installieren und mal schauen ob es nun Fehlerfrei klappt.

    Edit: Jetzt hat die Installtion geklappt ohne Fehler.

    swsw.byethost15.com/index.php/

    Der Install Ordner wurde Automatisch gelöscht wenn ich das jetzt richtig gesehen habe?


    Zuletzt modifiziert von SoX am 16.10.2020 - 16:38:57

    Nicht wundern ich bin mit meinen Tests und rum gespiele am CMS fertig und meine Testseite ist nun leer.
    Werd es mir mal in Ruhe überlegen ob ich nun Ilch V2 verwenden werde oder nicht, ilch 1.1P wäre zwar mein Favorit aber wenn die Sicherheit nicht mehr gewährleistet ist nein danke.


    Zuletzt modifiziert von SoX am 16.10.2020 - 20:07:36
    0 Mitglieder finden den Beitrag gut.
  13. #13
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    Guten morgen, erstmal Entschuldigung für Doppelposting ich weiß wird nicht gerne gesehen.

    Ich wollte nur mitteilen das ich mich für das Ilch V2 entschieden habe.
    Und an der oben verlinkten Testseite nun weiter mit dem CMS und am Design herrum basteln werde.

    Das Thema kann an dieser Stelle geschloßen werden, würde dann bei neuen Fragen / Problem in den richtigen bereichen ein neues Thema lieber eröffnen wollen.



    Ps. Bezüglich der Merklistenfunktion im Forum ich hatte das Limit erreicht gehabt und deswegen konnte ich die neusten hinzugefügten nicht einsehen nachdem ich einige von Ilch 1.1 Themen daraus gelöscht habe, sah ich auch dann meine "Merkverlinkung" zu diesen Thema.

    Eventuell die Anzahl erhöhen ^^
    0 Mitglieder finden den Beitrag gut.
  14. #14
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    164
    Beitragswertungen
    21 Beitragspunkte
    Meinst du hier im forum die Merkliste?
    0 Mitglieder finden den Beitrag gut.
  15. #15
    User Pic
    SoX Mitglied
    Registriert seit
    21.03.2012
    Beitrge
    376
    Beitragswertungen
    6 Beitragspunkte
    ZitatZitat geschrieben von hhunderter
    Meinst du hier im forum die Merkliste?


    Ja die Merkliste hier im ilch.de Forum meine ich.
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurck zu Plauder Ecke

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten